## python-qt4 4.7.3-maemo5

=== QtOpenGL/Makefile ===
TARGET = QtOpenGL.so
OFILES = sipQtOpenGLcmodule.o sipQtOpenGLQList0101QGLShader.o sipQtOpenGLQGLShaderProgram.o sipQtOpenGLQGLShaderShaderType.o sipQtOpenGLQGLShader.o sipQtOpenGLQGLPixelBuffer.o sipQtOpenGLQGLFramebufferObjectFormat.o sipQtOpenGLQGLFramebufferObject.o sipQtOpenGLQGLColormap.o sipQtOpenGLQGLWidget.o sipQtOpenGLQGLContextBindOptions.o sipQtOpenGLQGLContext.o sipQtOpenGLQGLFormatOpenGLVersionFlags.o sipQtOpenGLQGLFormat.o sipQtOpenGLQGLFormatOptions.o sipQtOpenGLQGL.o
HFILES = sipAPIQtOpenGL.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/QtOpenGL -I/usr/include/QtGui -I/usr/include/QtCore -I/usr/include -I/usr/X11R6/include
CFLAGS = -pipe -fPIC -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT
LFLAGS = -Wl,-rpath-link,/usr/lib -shared -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,--version-script=QtOpenGL.exp
LIBS = -L/usr/lib -L/usr/X11R6/lib -lQtOpenGL -L/usr/lib -L/usr/X11R6/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -L/usr/lib -lpthread -lQtCore -L/usr/lib -lpthread -lGLESv2 -lEGL -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtOpenGL; local: *; };' > QtOpenGL.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtOpenGL || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtOpenGL
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtOpenGL/QtOpenGLmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtOpenGL/QtOpenGLmod.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtOpenGL/qgl.sip $(DESTDIR)/usr/share/sip/PyQt4/QtOpenGL/qgl.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtOpenGL/qglframebufferobject.sip $(DESTDIR)/usr/share/sip/PyQt4/QtOpenGL/qglframebufferobject.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtOpenGL/qglpixelbuffer.sip $(DESTDIR)/usr/share/sip/PyQt4/QtOpenGL/qglpixelbuffer.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtOpenGL/qglshaderprogram.sip $(DESTDIR)/usr/share/sip/PyQt4/QtOpenGL/qglshaderprogram.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtOpenGL/qglcolormap.sip $(DESTDIR)/usr/share/sip/PyQt4/QtOpenGL/qglcolormap.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtOpenGL/opengl_types.sip $(DESTDIR)/usr/share/sip/PyQt4/QtOpenGL/opengl_types.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtOpenGLcmodule.o
	-rm -f sipQtOpenGLQList0101QGLShader.o
	-rm -f sipQtOpenGLQGLShaderProgram.o
	-rm -f sipQtOpenGLQGLShaderShaderType.o
	-rm -f sipQtOpenGLQGLShader.o
	-rm -f sipQtOpenGLQGLPixelBuffer.o
	-rm -f sipQtOpenGLQGLFramebufferObjectFormat.o
	-rm -f sipQtOpenGLQGLFramebufferObject.o
	-rm -f sipQtOpenGLQGLColormap.o
	-rm -f sipQtOpenGLQGLWidget.o
	-rm -f sipQtOpenGLQGLContextBindOptions.o
	-rm -f sipQtOpenGLQGLContext.o
	-rm -f sipQtOpenGLQGLFormatOpenGLVersionFlags.o
	-rm -f sipQtOpenGLQGLFormat.o
	-rm -f sipQtOpenGLQGLFormatOptions.o
	-rm -f sipQtOpenGLQGL.o
	-rm -f QtOpenGL.exp

=== QtScriptTools/Makefile ===
TARGET = QtScriptTools.so
OFILES = sipQtScriptToolscmodule.o sipQtScriptToolsQScriptEngineDebugger.o
HFILES = sipAPIQtScriptTools.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_SCRIPTTOOLS_LIB -DQT_GUI_LIB -DQT_SCRIPT_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/QtScriptTools -I/usr/include/QtGui -I/usr/include/QtScript -I/usr/include/QtCore -I/usr/include -I/usr/X11R6/include
CFLAGS = -pipe -fPIC -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT
LFLAGS = -Wl,-rpath-link,/usr/lib -shared -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,--version-script=QtScriptTools.exp
LIBS = -L/usr/lib -L/usr/X11R6/lib -lQtScriptTools -L/usr/lib -lQtScript -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -L/usr/lib -lpthread -lQtScript -L/usr/lib -lQtCore -L/usr/lib -lpthread -lQtCore -L/usr/lib -lpthread -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtScriptTools; local: *; };' > QtScriptTools.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtScriptTools/qscriptenginedebugger.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools/qscriptenginedebugger.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtScriptTools/QtScriptToolsmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtScriptTools/QtScriptToolsmod.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtScriptToolscmodule.o
	-rm -f sipQtScriptToolsQScriptEngineDebugger.o
	-rm -f QtScriptTools.exp

=== QtWebKit/Makefile ===
TARGET = QtWebKit.so
OFILES = sipQtWebKitcmodule.o sipQtWebKitQList0100QWebDatabase.o sipQtWebKitQList0100QWebSecurityOrigin.o sipQtWebKitQList0100QWebPluginFactoryPlugin.o sipQtWebKitQList0100QWebHistoryItem.o sipQtWebKitQMultiMap0100QString0100QString.o sipQtWebKitQList0101QWebFrame.o sipQtWebKitQList0100QWebElement.o sipQtWebKitQList0100QWebPluginFactoryMimeType.o sipQtWebKitQWebView.o sipQtWebKitQWebSettings.o sipQtWebKitQWebSecurityOrigin.o sipQtWebKitQWebPluginFactoryExtensionReturn.o sipQtWebKitQWebPluginFactoryExtensionOption.o sipQtWebKitQWebPluginFactoryPlugin.o sipQtWebKitQWebPluginFactoryMimeType.o sipQtWebKitQWebPluginFactory.o sipQtWebKitQWebPageChooseMultipleFilesExtensionReturn.o sipQtWebKitQWebPageChooseMultipleFilesExtensionOption.o sipQtWebKitQWebPageExtensionReturn.o sipQtWebKitQWebPageExtensionOption.o sipQtWebKitQWebPageFindFlags.o sipQtWebKitQWebPage.o sipQtWebKitQWebInspector.o sipQtWebKitQWebHistoryInterface.o sipQtWebKitQWebHistory.o sipQtWebKitQWebHistoryItem.o sipQtWebKitQWebFrame.o sipQtWebKitQWebHitTestResult.o sipQtWebKitQWebElementCollection.o sipQtWebKitQWebElement.o sipQtWebKitQWebDatabase.o sipQtWebKitQGraphicsWebView.o
HFILES = sipAPIQtWebKit.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/QtWebKit -I/usr/include/QtGui -I/usr/include/QtNetwork -I/usr/include/QtCore -I/usr/include -I/usr/X11R6/include
CFLAGS = -pipe -fPIC -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT
LFLAGS = -Wl,-rpath-link,/usr/lib -shared -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,--version-script=QtWebKit.exp
LIBS = -L/usr/lib -L/usr/X11R6/lib -lQtWebKit -L/usr/lib -L/usr/X11R6/lib -lsqlite3 -lphonon -L/usr/lib -L/usr/X11R6/lib -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -L/usr/lib -lpthread -lQtNetwork -L/usr/lib -lQtDBus -L/usr/lib -lQtXml -lQtCore -lpthread -lQtCore -L/usr/lib -lpthread -lXext -lX11 -lm -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtWebKit; local: *; };' > QtWebKit.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4 || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/QtWebKitmod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/QtWebKitmod.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebdatabase.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebdatabase.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebinspector.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebinspector.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebpluginfactory.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebpluginfactory.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebsettings.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebsettings.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebelement.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebelement.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebpage.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebpage.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebview.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebview.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebhistory.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebhistory.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebkitversion.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebkitversion.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebsecurityorigin.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebsecurityorigin.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebhistoryinterface.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebhistoryinterface.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qgraphicswebview.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qgraphicswebview.sip
	cp -f /home/maemo/python-qt4-experimental-4.7.3/sip/QtWebKit/qwebframe.sip $(DESTDIR)/usr/share/sip/PyQt4/QtWebKit/qwebframe.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtWebKitcmodule.o
	-rm -f sipQtWebKitQList0100QWebDatabase.o
	-rm -f sipQtWebKitQList0100QWebSecurityOrigin.o
	-rm -f sipQtWebKitQList0100QWebPluginFactoryPlugin.o
	-rm -f sipQtWebKitQList0100QWebHistoryItem.o
	-rm -f sipQtWebKitQMultiMap0100QString0100QString.o
	-rm -f sipQtWebKitQList0101QWebFrame.o
	-rm -f sipQtWebKitQList0100QWebElement.o
	-rm -f sipQtWebKitQList0100QWebPluginFactoryMimeType.o
	-rm -f sipQtWebKitQWebView.o
	-rm -f sipQtWebKitQWebSettings.o
	-rm -f sipQtWebKitQWebSecurityOrigin.o
	-rm -f sipQtWebKitQWebPluginFactoryExtensionReturn.o
	-rm -f sipQtWebKitQWebPluginFactoryExtensionOption.o
	-rm -f sipQtWebKitQWebPluginFactoryPlugin.o
	-rm -f sipQtWebKitQWebPluginFactoryMimeType.o
	-rm -f sipQtWebKitQWebPluginFactory.o
	-rm -f sipQtWebKitQWebPageChooseMultipleFilesExtensionReturn.o
	-rm -f sipQtWebKitQWebPageChooseMultipleFilesExtensionOption.o
	-rm -f sipQtWebKitQWebPageExtensionReturn.o
	-rm -f sipQtWebKitQWebPageExtensionOption.o
	-rm -f sipQtWebKitQWebPageFindFlags.o
	-rm -f sipQtWebKitQWebPage.o
	-rm -f sipQtWebKitQWebInspector.o
	-rm -f sipQtWebKitQWebHistoryInterface.o
	-rm -f sipQtWebKitQWebHistory.o
	-rm -f sipQtWebKitQWebHistoryItem.o
	-rm -f sipQtWebKitQWebFrame.o
	-rm -f sipQtWebKitQWebHitTestResult.o
	-rm -f sipQtWebKitQWebElementCollection.o
	-rm -f sipQtWebKitQWebElement.o
	-rm -f sipQtWebKitQWebDatabase.o
	-rm -f sipQtWebKitQGraphicsWebView.o
	-rm -f QtWebKit.exp

=== pyrcc/Makefile ===
TARGET = pyrcc4
OFILES = main.o rcc.o
HFILES = rcc.h

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_XML_LIB -I. -I/usr/mkspecs/linux-g++ -I/usr/include/QtCore -I/usr/include/QtXml -I/usr/include
CFLAGS = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT
LFLAGS = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS = -L/usr/lib -lQtCore -L/usr/lib -lpthread -lQtXml -L/usr/lib -lQtCore -L/usr/lib -lpthread -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)
	./$(TARGET) -py2 -o ../examples/network/ftp/ftp_rc.py ../examples/network/ftp/ftp.qrc
	./$(TARGET) -py2 -o ../examples/animation/animatedtiles/animatedtiles_rc.py ../examples/animation/animatedtiles/animatedtiles.qrc
	./$(TARGET) -py2 -o ../examples/animation/stickman/stickman_rc.py ../examples/animation/stickman/stickman.qrc
	./$(TARGET) -py2 -o ../examples/animation/appchooser/appchooser_rc.py ../examples/animation/appchooser/appchooser.qrc
	./$(TARGET) -py2 -o ../examples/animation/states/states_rc.py ../examples/animation/states/states.qrc
	./$(TARGET) -py2 -o ../examples/animation/easing/easing_rc.py ../examples/animation/easing/easing.qrc
	./$(TARGET) -py2 -o ../examples/tools/i18n/i18n_rc.py ../examples/tools/i18n/i18n.qrc
	./$(TARGET) -py2 -o ../examples/draganddrop/draggableicons/draggableicons_rc.py ../examples/draganddrop/draggableicons/draggableicons.qrc
	./$(TARGET) -py2 -o ../examples/draganddrop/puzzle/puzzle_rc.py ../examples/draganddrop/puzzle/puzzle.qrc
	./$(TARGET) -py2 -o ../examples/draganddrop/fridgemagnets/fridgemagnets_rc.py ../examples/draganddrop/fridgemagnets/fridgemagnets.qrc
	./$(TARGET) -py2 -o ../examples/draganddrop/draggabletext/draggabletext_rc.py ../examples/draganddrop/draggabletext/draggabletext.qrc
	./$(TARGET) -py2 -o ../examples/graphicsview/padnavigator/padnavigator_rc.py ../examples/graphicsview/padnavigator/padnavigator.qrc
	./$(TARGET) -py2 -o ../examples/graphicsview/diagramscene/diagramscene_rc.py ../examples/graphicsview/diagramscene/diagramscene.qrc
	./$(TARGET) -py2 -o ../examples/graphicsview/dragdroprobot/dragdroprobot_rc.py ../examples/graphicsview/dragdroprobot/dragdroprobot.qrc
	./$(TARGET) -py2 -o ../examples/graphicsview/collidingmice/mice_rc.py ../examples/graphicsview/collidingmice/mice.qrc
	./$(TARGET) -py2 -o ../examples/dialogs/configdialog/configdialog_rc.py ../examples/dialogs/configdialog/configdialog.qrc
	./$(TARGET) -py2 -o ../examples/dialogs/classwizard/classwizard_rc.py ../examples/dialogs/classwizard/classwizard.qrc
	./$(TARGET) -py2 -o ../examples/xmlpatterns/schema/schema_rc.py ../examples/xmlpatterns/schema/schema.qrc
	./$(TARGET) -py2 -o ../examples/demos/embeddeddialogs/embeddeddialogs_rc.py ../examples/demos/embeddeddialogs/embeddeddialogs.qrc
	./$(TARGET) -py2 -o ../examples/demos/qtdemo/qtdemo_rc.py ../examples/demos/qtdemo/qtdemo.qrc
	./$(TARGET) -py2 -o ../examples/desktop/systray/systray_rc.py ../examples/desktop/systray/systray.qrc
	./$(TARGET) -py2 -o ../examples/mainwindows/dockwidgets/dockwidgets_rc.py ../examples/mainwindows/dockwidgets/dockwidgets.qrc
	./$(TARGET) -py2 -o ../examples/mainwindows/sdi/sdi_rc.py ../examples/mainwindows/sdi/sdi.qrc
	./$(TARGET) -py2 -o ../examples/mainwindows/application/application_rc.py ../examples/mainwindows/application/application.qrc
	./$(TARGET) -py2 -o ../examples/mainwindows/mdi/mdi_rc.py ../examples/mainwindows/mdi/mdi.qrc
	./$(TARGET) -py2 -o ../examples/itemviews/editabletreemodel/editabletreemodel_rc.py ../examples/itemviews/editabletreemodel/editabletreemodel.qrc
	./$(TARGET) -py2 -o ../examples/itemviews/puzzle/puzzle_rc.py ../examples/itemviews/puzzle/puzzle.qrc
	./$(TARGET) -py2 -o ../examples/itemviews/simpletreemodel/simpletreemodel_rc.py ../examples/itemviews/simpletreemodel/simpletreemodel.qrc
	./$(TARGET) -py2 -o ../examples/itemviews/chart/chart_rc.py ../examples/itemviews/chart/chart.qrc
	./$(TARGET) -py2 -o ../examples/itemviews/pixelator/pixelator_rc.py ../examples/itemviews/pixelator/pixelator.qrc
	./$(TARGET) -py2 -o ../examples/opengl/textures/textures_rc.py ../examples/opengl/textures/textures.qrc
	./$(TARGET) -py2 -o ../examples/widgets/tooltips/tooltips_rc.py ../examples/widgets/tooltips/tooltips.qrc
	./$(TARGET) -py2 -o ../examples/painting/basicdrawing/basicdrawing_rc.py ../examples/painting/basicdrawing/basicdrawing.qrc
	./$(TARGET) -py2 -o ../examples/painting/svgviewer/svgviewer_rc.py ../examples/painting/svgviewer/svgviewer.qrc
	./$(TARGET) -py2 -o ../examples/activeqt/webbrowser/mainwindow_rc.py ../examples/activeqt/webbrowser/mainwindow.qrc

install: $(TARGET)
	@test -d $(DESTDIR)/usr/bin || mkdir -p $(DESTDIR)/usr/bin
	cp -f $(TARGET) $(DESTDIR)/usr/bin/$(TARGET)

clean:
	-rm -f $(TARGET)
	-rm -f main.o
	-rm -f rcc.o

=== qpy/QtCore/Makefile ===
#############################################################################
# Makefile for building: libqpycore.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 25 13:33:16 2010
# Project:  w_qpycore.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile w_qpycore.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -fno-strict-aliasing -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/include/python2.5 -I../../QtCore -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qpycore_chimera.cpp \
		qpycore_chimera_signature.cpp \
		qpycore_chimera_storage.cpp \
		qpycore_init.cpp \
		qpycore_misc.cpp \
		qpycore_post_init.cpp \
		qpycore_pyqtboundsignal.cpp \
		qpycore_pyqtconfigure.cpp \
		qpycore_pyqtproperty.cpp \
		qpycore_pyqtproxy.cpp \
		qpycore_pyqtpyobject.cpp \
		qpycore_pyqtsignal.cpp \
		qpycore_pyqtslot.cpp \
		qpycore_qmetaobject.cpp \
		qpycore_qmetaobject_helpers.cpp \
		qpycore_qobject_helpers.cpp \
		qpycore_qstring.cpp \
		qpycore_qstringlist.cpp \
		qpycore_sip_helpers.cpp \
		qpycore_types.cpp \
		qpycore_qvariant.cpp moc_qpycore_pyqtproxy.cpp
OBJECTS       = qpycore_chimera.o \
		qpycore_chimera_signature.o \
		qpycore_chimera_storage.o \
		qpycore_init.o \
		qpycore_misc.o \
		qpycore_post_init.o \
		qpycore_pyqtboundsignal.o \
		qpycore_pyqtconfigure.o \
		qpycore_pyqtproperty.o \
		qpycore_pyqtproxy.o \
		qpycore_pyqtpyobject.o \
		qpycore_pyqtsignal.o \
		qpycore_pyqtslot.o \
		qpycore_qmetaobject.o \
		qpycore_qmetaobject_helpers.o \
		qpycore_qobject_helpers.o \
		qpycore_qstring.o \
		qpycore_qstringlist.o \
		qpycore_sip_helpers.o \
		qpycore_types.o \
		qpycore_qvariant.o \
		moc_qpycore_pyqtproxy.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpycore.pro \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		w_qpycore.pro
QMAKE_TARGET  = qpycore
DESTDIR       = 
TARGET        = libqpycore.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: w_qpycore.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpycore.pro \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile w_qpycore.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
qpycore.pro:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile w_qpycore.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qpycore1.0.0 || $(MKDIR) .tmp/qpycore1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qpycore1.0.0/ && $(COPY_FILE) --parents qpycore_api.h qpycore_chimera.h qpycore_misc.h qpycore_pyqtboundsignal.h qpycore_pyqtproperty.h qpycore_pyqtproxy.h qpycore_pyqtpyobject.h qpycore_pyqtsignal.h qpycore_qobject_helpers.h qpycore_sip.h qpycore_sip_helpers.h qpycore_types.h .tmp/qpycore1.0.0/ && $(COPY_FILE) --parents qpycore_chimera.cpp qpycore_chimera_signature.cpp qpycore_chimera_storage.cpp qpycore_init.cpp qpycore_misc.cpp qpycore_post_init.cpp qpycore_pyqtboundsignal.cpp qpycore_pyqtconfigure.cpp qpycore_pyqtproperty.cpp qpycore_pyqtproxy.cpp qpycore_pyqtpyobject.cpp qpycore_pyqtsignal.cpp qpycore_pyqtslot.cpp qpycore_qmetaobject.cpp qpycore_qmetaobject_helpers.cpp qpycore_qobject_helpers.cpp qpycore_qstring.cpp qpycore_qstringlist.cpp qpycore_sip_helpers.cpp qpycore_types.cpp qpycore_qvariant.cpp .tmp/qpycore1.0.0/ && (cd `dirname .tmp/qpycore1.0.0` && $(TAR) qpycore1.0.0.tar qpycore1.0.0 && $(COMPRESS) qpycore1.0.0.tar) && $(MOVE) `dirname .tmp/qpycore1.0.0`/qpycore1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qpycore1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qpycore_pyqtproxy.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qpycore_pyqtproxy.cpp
moc_qpycore_pyqtproxy.cpp: qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_pyqtboundsignal.h \
		qpycore_types.h \
		qpycore_pyqtproperty.h \
		qpycore_pyqtproxy.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpycore_pyqtproxy.h -o moc_qpycore_pyqtproxy.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

qpycore_chimera.o: qpycore_chimera.cpp qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_misc.h \
		qpycore_shared.h \
		qpycore_pyqtpyobject.h \
		qpycore_types.h \
		qpycore_pyqtproperty.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_chimera.o qpycore_chimera.cpp

qpycore_chimera_signature.o: qpycore_chimera_signature.cpp qpycore_chimera.h \
		qpycore_sip.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_chimera_signature.o qpycore_chimera_signature.cpp

qpycore_chimera_storage.o: qpycore_chimera_storage.cpp qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_pyqtpyobject.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_chimera_storage.o qpycore_chimera_storage.cpp

qpycore_init.o: qpycore_init.cpp qpycore_qobject_helpers.h \
		qpycore_sip.h \
		qpycore_shared.h \
		qpycore_types.h \
		qpycore_chimera.h \
		qpycore_pyqtproperty.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_init.o qpycore_init.cpp

qpycore_misc.o: qpycore_misc.cpp qpycore_misc.h \
		qpycore_shared.h \
		qpycore_sip.h \
		qpycore_types.h \
		qpycore_chimera.h \
		qpycore_pyqtproperty.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_misc.o qpycore_misc.cpp

qpycore_post_init.o: qpycore_post_init.cpp qpycore_pyqtboundsignal.h \
		qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_pyqtproperty.h \
		qpycore_pyqtproxy.h \
		qpycore_types.h \
		qpycore_pyqtpyobject.h \
		qpycore_pyqtsignal.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qpycore_post_init.o qpycore_post_init.cpp

qpycore_pyqtboundsignal.o: qpycore_pyqtboundsignal.cpp qpycore_chimera.h \
		qpycore_sip.h \
		qpycore_misc.h \
		qpycore_shared.h \

=== qpy/QtGui/Makefile ===
#############################################################################
# Makefile for building: libqpygui.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue May 25 13:33:17 2010
# Project:  w_qpygui.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile w_qpygui.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/include/python2.5 -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       =  moc_qpytextobject.cpp
OBJECTS       = moc_qpytextobject.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpygui.pro \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		w_qpygui.pro
QMAKE_TARGET  = qpygui
DESTDIR       = 
TARGET        = libqpygui.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: w_qpygui.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qpygui.pro \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile w_qpygui.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
qpygui.pro:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/static.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile w_qpygui.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qpygui1.0.0 || $(MKDIR) .tmp/qpygui1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qpygui1.0.0/ && $(COPY_FILE) --parents qpytextobject.h .tmp/qpygui1.0.0/ && (cd `dirname .tmp/qpygui1.0.0` && $(TAR) qpygui1.0.0.tar qpygui1.0.0 && $(COMPRESS) qpygui1.0.0.tar) && $(MOVE) `dirname .tmp/qpygui1.0.0`/qpygui1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qpygui1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qpytextobject.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qpytextobject.cpp
moc_qpytextobject.cpp: qpytextobject.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qpytextobject.h -o moc_qpytextobject.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

moc_qpytextobject.o: moc_qpytextobject.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qpytextobject.o moc_qpytextobject.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
python-qt4 (4.7.3-maemo5) unstable; urgency=low

  * Rebuilding due to Qt version mismatch in PR1.2

 -- Attila Csipa <maemo@csipa.in.rs>  Thu, 11 Feb 2010 00:13:33 +0100

## python-qt4 4.7.4

=== debian/changelog ===
python-qt4 (4.7.4-0ubuntu1common0hedley3) lucid; urgency=low

  * No changes. Rebuild again now that python has been reverted to lucid-
    version in Hedley PPA.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Sun, 17 Oct 2010 23:15:21 -0400

python-qt4 (4.7.4-0ubuntu1common0hedley2) lucid; urgency=low

  * No changes. Rebuild now that python is fixed in Hedley PPA.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Sun, 17 Oct 2010 21:38:43 -0400

python-qt4 (4.7.4-0ubuntu1common0hedley1) lucid; urgency=low

  * Rebuild maverick version for lucid-based Hedley project. Branched from
    lp:ubuntu/python-qt4 and tag 4.7.4-0ubuntu1.
  * debian/python-qt4.install: Do not install QtXmlPatterns.so as xmlpatterns
    has been disabled in Hedley's version of qt4-x11
  * debian/control: Add Vcs-Bzr: lp:~hedley-team/hedley/python-qt4

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Sun, 17 Oct 2010 10:17:21 -0400

python-qt4 (4.7.4-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Switch to libqtwebkit-dev for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 10:27:38 +0100

python-qt4 (4.7.3-1ubuntu2) maverick; urgency=low

  * Add build-dep on libqt4-webkit-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 May 2010 11:16:28 +0000

python-qt4 (4.7.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining change:
   - Add kubuntu_01_fix_uic.diff, to fix the ui compiler by not using deprecate
    interfaces of QString (LP: #514796)
  * Build-depend on Qt 4.7
  * No QtAssistant.so in .install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 May 2010 14:52:50 +0000

=== debian/control ===
Source: python-qt4
Section: python
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Michael Casadevall <mcasadevall@debian.org>, Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 7), python-all-dev, libqt4-dev (>= 4.7.0~), python-sip-dev (>= 4.10.2), python-support (>= 0.7.1), python-dbus (>= 0.80.0), python-dbus-dbg, libdbus-1-dev (>= 1.0.2), python-all-dbg, python-sip-dbg, libqt4-opengl-dev, libphonon-dev (>= 4:4.2.0-2), libqtwebkit-dev
Build-Conflicts: python-xml, python-xml-dbg
Standards-Version: 3.8.4
Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-qt4/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-qt4/trunk/
Vcs-Bzr: lp:~hedley-team/hedley/python-qt4

Package: python-qt4
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${sip:Depends}
Suggests: python-qt4-dbg
Replaces: python-qt4-dev (<< 4.4.4-3~), python-qt4-common
Conflicts: python-qt4-common
Description: Python bindings for Qt4
 PyQt4 exposes the Qt4 API to Python. The following modules are supported:
  * QtCore
  * QtGui
  * QtNetwork
  * QtXml
  * QtScript
  * QtSvg
  * QtTest
  * QtAssistant
  * QtWebKit
  * QtOpenGL (in python-qt4-gl)
  * QtSql (in python-qt4-sql)
  * phonon (in python-qt4-phonon)

Package: python-qt4-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-qt4 (= ${binary:Version}), python-dbg, python-sip-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings for Qt4 (debug extensions)
 PyQt4 exposes the Qt4 API to Python.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python-qt4-phonon
Architecture: any
Provides: ${python:Provides}
Depends: ${python:Depends}, ${shlibs:Depends}, python-qt4 (= ${binary:Version}), ${misc:Depends}
Suggests: python-phonon-dbg
Description: Python bindings for Phonon
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python.

Package: python-qt4-phonon-dbg
Priority: extra
Section: debug
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, python-dbg, python-qt4-phonon (= ${binary:Version}),  python-qt4-dbg (= ${binary:Version}), ${misc:Depends}
Description: Python bindings for Phonon (debug extensions)
 The Phonon module of PyQt4 provides bindings for the Phonon Multimedia library
 to Python.
 . 
 This package contains the extensions built for the Python debug interpreter.

Package: python-qt4-dbus
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-dbus (>= 0.80.0)
Description: DBus Support for PyQt4
 The DBus module of PyQt4 provides integration of PyQt4 applications
 with the DBus main loop.

Package: python-qt4-dbus-dbg
Architecture: any
Priority: extra
Section: debug
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, python-dbg, python-qt4-dbus (= ${binary:Version}), python-dbus-dbg, ${misc:Depends}
Description: DBus Support for PyQt4 (debug extensions)
 The DBus module of PyQt4 provides integration of PyQt4 applications
 with the DBus main loop.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python-qt4-gl
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-qt4 (= ${binary:Version}), python-opengl (>= 2.0.1.09-2.2)
Description: Python bindings for Qt4's OpenGL module
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a PyQt4 application.

Package: python-qt4-gl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, python-dbg, python-qt4-gl (= ${binary:Version}), python-qt4-dbg (= ${binary:Version}), ${misc:Depends}
Description: Python bindings for Qt4's OpenGL module (debug extension)
 The OpenGL module of PyQt4 provides widgets and utility classes
 for OpenGL rendering in a PyQt4 application.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-qt4-sql
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-qt4 (= ${binary:Version})
Description: Python bindings for PyQt4's SQL module
 The SQL module of PyQt4 provides widgets and utility classes for 
 SQL database access.

Package: python-qt4-sql-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, python-dbg, python-qt4-sql (= ${binary:Version}), python-qt4-dbg (= ${binary:Version}), ${misc:Depends}
Description: Python bindings for PyQt4's SQL module (debug extension)
 The SQL module of PyQt4 provides widgets and utility classes for 
 SQL database access.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-qt4-dev
Architecture: all
Depends: ${python:Depends}, python-sip-dev, ${misc:Depends}
Replaces: python-qt4 (<< 4.3)
Description: Development files for PyQt4
 This package contains the source SIP files from which the Python 
 bindings for Qt4 are created. They are needed for building PyQt4
 as well as creating bindings for own Qt4 widgets written in C++.

Package: python-qt4-doc
Architecture: all
Section: doc
Suggests: qt4-doc
Depends: ${misc:Depends}
Description: Documentation and examples for PyQt4
 PyQt4 exposes the Qt4 GUI toolkit in Python.
 .
 This package contains Python-specific documentation for PyQt4 and
 the Qt example programs ported to Python.

Package: pyqt4-dev-tools
Depends: ${shlibs:Depends}, python, python-qt4 (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Development tools for PyQt4
 This package contains various support tools for PyQt4 developers:
  * a user interface compiler (pyuic4)
  * a resource file generator (pyrcc4)
  * a translation string finder (pylupdate)
